org.apache.poi.xddf.usermodel

## Class XDDFPictureFillProperties

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFPictureFillProperties

- All Implemented Interfaces:
    XDDFFillProperties

      @Beta
      public class XDDFPictureFillProperties
      extends java.lang.Object
      implements XDDFFillProperties

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `XDDFPictureFillProperties()`
    `protected` | `XDDFPictureFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getDpi()`
    `XDDFPicture` | `getPicture()`
    `XDDFRelativeRectangle` | `getSourceRectangle()`
    `XDDFStretchInfoProperties` | `getStetchInfoProperties()`
    `XDDFTileInfoProperties` | `getTileInfoProperties()`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties` | `getXmlObject()`
    `java.lang.Boolean` | `isRotatingWithShape()`
    `void` | `setDpi(java.lang.Long dpi)`
    `void` | `setPicture(XDDFPicture picture)`
    `void` | `setRotatingWithShape(java.lang.Boolean rotating)`
    `void` | `setSourceRectangle(XDDFRelativeRectangle rectangle)`
    `void` | `setStretchInfoProperties(XDDFStretchInfoProperties properties)`
    `void` | `setTileInfoProperties(XDDFTileInfoProperties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFPictureFillProperties

          public XDDFPictureFillProperties()

    - #### XDDFPictureFillProperties

          protected XDDFPictureFillProperties(org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties properties)

  - ### Method Detail

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTBlipFillProperties getXmlObject()

    - #### getPicture

          public XDDFPicture getPicture()

    - #### setPicture

          public void setPicture(XDDFPicture picture)

    - #### isRotatingWithShape

          public java.lang.Boolean isRotatingWithShape()

    - #### setRotatingWithShape

          public void setRotatingWithShape(java.lang.Boolean rotating)

    - #### getDpi

          public java.lang.Long getDpi()

    - #### setDpi

          public void setDpi(java.lang.Long dpi)

    - #### getSourceRectangle

          public XDDFRelativeRectangle getSourceRectangle()

    - #### setSourceRectangle

          public void setSourceRectangle(XDDFRelativeRectangle rectangle)

    - #### getStetchInfoProperties

          public XDDFStretchInfoProperties getStetchInfoProperties()

    - #### setStretchInfoProperties

          public void setStretchInfoProperties(XDDFStretchInfoProperties properties)

    - #### getTileInfoProperties

          public XDDFTileInfoProperties getTileInfoProperties()

    - #### setTileInfoProperties

          public void setTileInfoProperties(XDDFTileInfoProperties properties)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.